#!/bin/sh
echo "------------------------------------------------------"
echo "vs-drk-mod v0.1"
echo "Patch de modification du jeu vegastrike v0.4.3"
echo "par Philippe Bousquet <draken33@free.fr>"
echo "http://darken33.free.fr"
echo ""
echo "Ce patch est fournit sous licence GPL v2"
echo "------------------------------------------------------"
echo ""

USER=`whoami`
if [ "$USER" != "root" ]
then
	echo "vous devez vous logger en root (via la commande su) pour effectuer cette operation."
	exit
fi

echo ""
echo "Pour installer ce patch veuillez taper sur la touche entrée."
read PAUSE

VEGASTRIKE_HOME_DEFAULT="/usr/share/games/vegastrike"
echo "Veuillez préciser l'emplacement de vegastraike :"
echo "(par defaut : "$VEGASTRIKE_HOME_DEFAULT")"
read VEGASTRIKE_HOME
if [ "$VEGASTRIKE_HOME" = "" ]
then
	VEGASTRIKE_HOME=$VEGASTRIKE_HOME_DEFAULT
fi
echo ""

echo "Sauvegarde des anciens fichiers"
echo "  [master_part_list.csv]"
cp -f $VEGASTRIKE_HOME"/master_part_list.csv" $VEGASTRIKE_HOME"/master_part_list.csv.old"
echo "  [master_part_list.xml]"
cp -f $VEGASTRIKE_HOME"/master_part_list.xml" $VEGASTRIKE_HOME"/master_part_list.xml.old"
echo "  [units/units.csv]"
cp -f $VEGASTRIKE_HOME"/units/units.csv" $VEGASTRIKE_HOME"/units/units.csv.old"
echo "  [units/factions/planets/Dirt/Dirt]"
cp -f $VEGASTRIKE_HOME"/units/factions/planets/Dirt/Dirt" $VEGASTRIKE_HOME"/units/factions/planets/Dirt/Dirt.old"
echo "  [units/factions/planets/newdetroit/newdetroit]"
cp -f $VEGASTRIKE_HOME"units/factions/planets/newdetroit/newdetroit" $VEGASTRIKE_HOME"units/factions/planets/newdetroit/newdetroit.old"
echo "  [units/factions/planets/n_class/n_class]"
cp -f $VEGASTRIKE_HOME"units/factions/planets/n_class/n_class" $VEGASTRIKE_HOME"units/factions/planets/n_class/n_class.old"
echo "  [units/factions/planets/tkirsa/tkirsa]"
cp -f $VEGASTRIKE_HOME"units/factions/planets/tkirsa/tkirsa" $VEGASTRIKE_HOME"units/factions/planets/tkirsa/tkirsa.old"
echo "  [units/factions/planets/industrial/industrial]"
cp -f $VEGASTRIKE_HOME"units/factions/planets/industrial/industrial" $VEGASTRIKE_HOME"units/factions/planets/industrial/industrial.old"
echo ""

echo "Installation des nouveaux fichiers"
echo "  [master_part_list.csv]"
cp -f "vegastrike/master_part_list.csv" $VEGASTRIKE_HOME"/master_part_list.csv"
echo "  [master_part_list.xml]"
cp -f "vegastrike/master_part_list.xml" $VEGASTRIKE_HOME"/master_part_list.xml"
echo "  [units/units.csv]"
cp -f "vegastrike/units/units.csv" $VEGASTRIKE_HOME"/units/units.csv"
echo "  [units/factions/planets/Dirt/Dirt]"
cp -f "vegastrike/units/factions/planets/Dirt/Dirt" $VEGASTRIKE_HOME"/units/factions/planets/Dirt/Dirt"
echo "  [units/factions/planets/newdetroit/newdetroit]"
cp -f "vegastrike/units/factions/planets/newdetroit/newdetroit" $VEGASTRIKE_HOME"/units/factions/planets/newdetroit/newdetroit"
echo "  [units/factions/planets/n_class/n_class]"
cp -f "vegastrike/units/factions/planets/n_class/n_class" $VEGASTRIKE_HOME"/units/factions/planets/n_class/n_class"
echo "  [units/factions/planets/tkirsa/tkirsa]"
cp -f "vegastrike/units/factions/planets/tkirsa/tkirsa" $VEGASTRIKE_HOME"/units/factions/planets/tkirsa/tkirsa"
echo "  [units/factions/planets/industrial/industrial]"
cp -f "vegastrike/units/factions/planets/industrial/industrial" $VEGASTRIKE_HOME"/units/factions/planets/industrial/industrial"
echo ""

echo "L'installation est treminée."
echo ""